For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Product Custom Fields
              • POSTCreate Product Custom Field
              • GETGet Product Custom Field
              • PUTUpdate Product Custom Field
              • DELDelete Product Custom Field
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsCustom Fields

List Product Custom Fields

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/custom-fields
GET
/stores/:store_hash/v3/catalog/products/:product_id/custom-fields
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/custom-fields \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": [
3 {
4 "id": 6,
5 "name": "ISBN",
6 "value": "1234567890123"
7 }
8 ],
9 "meta": {
10 "pagination": {
11 "total": 36,
12 "count": 36,
13 "per_page": 50,
14 "current_page": 2,
15 "total_pages": 3,
16 "links": {
17 "previous": "?page=1&limit=50",
18 "current": "?page=2&limit=50",
19 "next": "?page=3&limit=50"
20 }
21 }
22 }
23}

Returns a list of product Custom Fields. You can pass in optional parameters.

Was this page helpful?
Previous

Delete Product Complex Rule

Next

Create Product Custom Field

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

Allowed values:
exclude_fieldslist of enumsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Allowed values:
pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

Response

Gets array of Custom fields.
datalist of objects
metaobject
Data about the response, including pagination and collection totals.

Errors

403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.